<?xml version="1.0" encoding="UTF-8" ?>
<root>
    <card name="mt6768mt6358" />
    <mixercontrol>
        <versioncontrol value="1.01">
        </versioncontrol>
        <!-- These are the initial mixer settings -->
        <kctl name="Audio_Speaker_class_Switch" value="CLASSAB" />
        <!--headphone output-->
        <path name="headphone_output" value="turnon">
            <kctl name="DAC In Mux" value="Normal Path" />
            <kctl name="HPL Mux" value="Audio Playback" />
            <kctl name="HPR Mux" value="Audio Playback" />
        </path>
        <path name="headphone_output" value="turnoff">
            <kctl name="HPL Mux" value="Open" />
            <kctl name="HPR Mux" value="Open" />
        </path>
        <path name="HP_IMPEDANCE" value="turnon">
        </path>
        <path name="HP_IMPEDANCE" value="turnoff">
        </path>
        <!--receiver output-->
        <path name="receiver_output" value="turnon">
            <kctl name="DAC In Mux" value="Normal Path" />
            <kctl name="RCV Mux" value="Voice Playback" />
        </path>
        <path name="receiver_output" value="turnoff">
            <kctl name="RCV Mux" value="Open" />
        </path>
       <!-- 2-in-1 speaker output-->
        <path name="two_in_one_speaker_output" value="turnon">
        </path>
        <path name="two_in_one_speaker_output" value="turnoff">
        </path>
       <!--speaker output-->
        <path name="speaker_output" value="turnon">
            <kctl name="DAC In Mux" value="Normal Path" />
            <kctl name="LOL Mux" value="Playback" />
        </path>
        <path name="speaker_output" value="turnoff">
            <kctl name="LOL Mux" value="Open" />
        </path>
        <!--headhpone_speaker output-->
        <path name="headphoneSpeaker_output" value="turnon">
            <kctl name="DAC In Mux" value="Normal Path" />
            <kctl name="HPL Mux" value="LoudSPK Playback" />
            <kctl name="HPR Mux" value="LoudSPK Playback" />
        </path>
        <path name="headphoneSpeaker_output" value="turnoff">
            <kctl name="HPL Mux" value="Open" />
            <kctl name="HPR Mux" value="Open" />
        </path>
        <!--external_speaker output-->
        <path name="ext_speaker_output" value="turnon">
            <kctl name="Ext_Speaker_Amp Switch" value="1" />
            <kctl name="Ext_Speaker_PaMode" value="1" />
        </path>
        <path name="ext_speaker_output" value="turnoff">
            <kctl name="Ext_Speaker_PaMode" value="0" />
            <kctl name="Ext_Speaker_Amp Switch" value="0" />
        </path>
        <!--mic setting-->
        <path name="builtin_Mic_Mic1" value="turnon">
            <kctl name="ADC L Mux" value="Left Preamplifier" />
            <kctl name="ADC R Mux" value="Right Preamplifier" />
            <kctl name="PGA L Mux" value="AIN0" />
            <kctl name="PGA R Mux" value="AIN0" />
        </path>
        <path name="builtin_Mic_Mic1" value="turnoff">
            <kctl name="ADC L Mux" value="Idle" />
            <kctl name="ADC R Mux" value="Idle" />
            <kctl name="PGA L Mux" value="None" />
            <kctl name="PGA R Mux" value="None" />
        </path>
        <path name="builtin_Mic_Mic1_Inverse" value="turnon">
            <kctl name="ADC L Mux" value="Left Preamplifier" />
            <kctl name="ADC R Mux" value="Right Preamplifier" />
            <kctl name="PGA L Mux" value="AIN2" />
            <kctl name="PGA R Mux" value="AIN2" />
        </path>
        <path name="builtin_Mic_Mic1_Inverse" value="turnoff">
            <kctl name="ADC L Mux" value="Idle" />
            <kctl name="ADC R Mux" value="Idle" />
            <kctl name="PGA L Mux" value="None" />
            <kctl name="PGA R Mux" value="None" />
        </path>
        <path name="builtin_Mic_Mic2" value="turnon">
            <kctl name="ADC L Mux" value="Left Preamplifier" />
            <kctl name="ADC R Mux" value="Right Preamplifier" />
            <kctl name="PGA L Mux" value="AIN2" />
            <kctl name="PGA R Mux" value="AIN2" />
        </path>
        <path name="builtin_Mic_Mic2" value="turnoff">
            <kctl name="ADC L Mux" value="Idle" />
            <kctl name="ADC R Mux" value="Idle" />
            <kctl name="PGA L Mux" value="None" />
            <kctl name="PGA R Mux" value="None" />
        </path>
        <path name="builtin_Mic_Mic2_Inverse" value="turnon">
            <kctl name="ADC L Mux" value="Left Preamplifier" />
            <kctl name="ADC R Mux" value="Right Preamplifier" />
            <kctl name="PGA L Mux" value="AIN0" />
            <kctl name="PGA R Mux" value="AIN0" />
        </path>
        <path name="builtin_Mic_Mic2_Inverse" value="turnoff">
            <kctl name="ADC L Mux" value="Idle" />
            <kctl name="ADC R Mux" value="Idle" />
            <kctl name="PGA L Mux" value="None" />
            <kctl name="PGA R Mux" value="None" />
        </path>
        <path name="builtin_Mic_SingleMic" value="turnon">
            <kctl name="ADC L Mux" value="Left Preamplifier" />
            <kctl name="ADC R Mux" value="Right Preamplifier" />
            <kctl name="PGA L Mux" value="AIN0" />
            <kctl name="PGA R Mux" value="AIN0" />
        </path>
        <path name="builtin_Mic_SingleMic" value="turnoff">
            <kctl name="ADC L Mux" value="Idle" />
            <kctl name="ADC R Mux" value="Idle" />
            <kctl name="PGA L Mux" value="None" />
            <kctl name="PGA R Mux" value="None" />
        </path>
        <path name="builtin_Mic_DualMic" value="turnon">
            <kctl name="ADC L Mux" value="Left Preamplifier" />
            <kctl name="ADC R Mux" value="Right Preamplifier" />
            <kctl name="PGA L Mux" value="AIN0" />
            <kctl name="PGA R Mux" value="AIN2" />
        </path>
        <path name="builtin_Mic_DualMic" value="turnoff">
            <kctl name="ADC L Mux" value="Idle" />
            <kctl name="ADC R Mux" value="Idle" />
            <kctl name="PGA L Mux" value="None" />
            <kctl name="PGA R Mux" value="None" />
        </path>
        <path name="builtin_Mic_DualMic_Inverse" value="turnon">
            <kctl name="ADC L Mux" value="Left Preamplifier" />
            <kctl name="ADC R Mux" value="Right Preamplifier" />
            <kctl name="PGA L Mux" value="AIN2" />
            <kctl name="PGA R Mux" value="AIN0" />
        </path>
        <path name="builtin_Mic_DualMic_Inverse" value="turnoff">
            <kctl name="ADC L Mux" value="Idle" />
            <kctl name="ADC R Mux" value="Idle" />
            <kctl name="PGA L Mux" value="None" />
            <kctl name="PGA R Mux" value="None" />
        </path>
        <path name="builtin_Mic_BackMic" value="turnon">
            <kctl name="ADC L Mux" value="Left Preamplifier" />
            <kctl name="ADC R Mux" value="Right Preamplifier" />
            <kctl name="PGA L Mux" value="AIN2" />
            <kctl name="PGA R Mux" value="AIN0" />
        </path>
        <path name="builtin_Mic_BackMic" value="turnoff">
            <kctl name="ADC L Mux" value="Idle" />
            <kctl name="ADC R Mux" value="Idle" />
            <kctl name="PGA L Mux" value="None" />
            <kctl name="PGA R Mux" value="None" />
        </path>
        <path name="builtin_Mic_BackMic_Inverse" value="turnon">
            <kctl name="ADC L Mux" value="Left Preamplifier" />
            <kctl name="ADC R Mux" value="Right Preamplifier" />
            <kctl name="PGA L Mux" value="AIN0" />
            <kctl name="PGA R Mux" value="AIN2" />
        </path>
        <path name="builtin_Mic_BackMic_Inverse" value="turnoff">
            <kctl name="ADC L Mux" value="Idle" />
            <kctl name="ADC R Mux" value="Idle" />
            <kctl name="PGA L Mux" value="None" />
            <kctl name="PGA R Mux" value="None" />
        </path>
        <path name="headset_mic_input" value="turnon">
            <kctl name="ADC L Mux" value="Left Preamplifier" />
            <kctl name="ADC R Mux" value="Right Preamplifier" />
            <kctl name="PGA L Mux" value="AIN1" />
            <kctl name="PGA R Mux" value="AIN1" />
        </path>
        <path name="headset_mic_input" value="turnoff">
            <kctl name="ADC L Mux" value="Idle" />
            <kctl name="ADC R Mux" value="Idle" />
            <kctl name="PGA L Mux" value="None" />
            <kctl name="PGA R Mux" value="None" />
        </path>
        <path name="builtin_Mic_Vow_Mic" value="turnon">
            <kctl name="ADC L Mux" value="Left Preamplifier" />
            <kctl name="ADC R Mux" value="Right Preamplifier" />
            <kctl name="PGA L Mux" value="AIN0" />
            <kctl name="PGA R Mux" value="AIN0" />
        </path>
        <path name="builtin_Mic_Vow_Mic" value="turnoff">
            <kctl name="ADC L Mux" value="Idle" />
            <kctl name="ADC R Mux" value="Idle" />
            <kctl name="PGA L Mux" value="None" />
            <kctl name="PGA R Mux" value="None" />
        </path>
        <path name="builtin_Mic_Vow_Mic2" value="turnon">
            <kctl name="ADC L Mux" value="Left Preamplifier" />
            <kctl name="ADC R Mux" value="Right Preamplifier" />
            <kctl name="PGA L Mux" value="AIN2" />
            <kctl name="PGA R Mux" value="AIN2" />
        </path>
        <path name="builtin_Mic_Vow_Mic2" value="turnoff">
            <kctl name="ADC L Mux" value="Idle" />
            <kctl name="ADC R Mux" value="Idle" />
            <kctl name="PGA L Mux" value="None" />
            <kctl name="PGA R Mux" value="None" />
        </path>
        <path name="headset_vow_input" value="turnon">
            <kctl name="ADC L Mux" value="Left Preamplifier" />
            <kctl name="ADC R Mux" value="Right Preamplifier" />
            <kctl name="PGA L Mux" value="AIN1" />
            <kctl name="PGA R Mux" value="AIN1" />
        </path>
        <path name="headset_vow_input" value="turnoff">
            <kctl name="ADC L Mux" value="Idle" />
            <kctl name="ADC R Mux" value="Idle" />
            <kctl name="PGA L Mux" value="None" />
            <kctl name="PGA R Mux" value="None" />
        </path>
        <!--mic1 type setting-->
        <path name="MicTypeDMICMode" value="setting">
            <kctl name="MTKAIF_DMIC" value="On" />
        </path>
        <path name="sidetone_switch" value="turnon">
            <kctl name="Sidetone Filter Switch" value="1" />
        </path>
        <path name="sidetone_switch" value="turnoff">
            <kctl name="Sidetone Filter Switch" value="0" />
        </path>
        <!-- i2s hd control -->
        <path name="I2S0_HD_ON" value="setting">
            <kctl name="I2S0_HD_Mux" value="Low_Jitter" />
        </path>
        <path name="I2S0_HD_OFF" value="setting">
            <kctl name="I2S0_HD_Mux" value="Normal" />
        </path>
        <path name="I2S1_HD_ON" value="setting">
            <kctl name="I2S1_HD_Mux" value="Low_Jitter" />
        </path>
        <path name="I2S1_HD_OFF" value="setting">
            <kctl name="I2S1_HD_Mux" value="Normal" />
        </path>
        <path name="I2S2_HD_ON" value="setting">
            <kctl name="I2S2_HD_Mux" value="Low_Jitter" />
        </path>
        <path name="I2S2_HD_OFF" value="setting">
            <kctl name="I2S2_HD_Mux" value="Normal" />
        </path>
        <path name="I2S3_HD_ON" value="setting">
            <kctl name="I2S3_HD_Mux" value="Low_Jitter" />
        </path>
        <path name="I2S3_HD_OFF" value="setting">
            <kctl name="I2S3_HD_Mux" value="Normal" />
        </path>
       <!--AP side control-->
        <path name="PLAYBACK1_TO_ADDA_DL" value="turnon">
            <kctl name="ADDA_DL_CH1 DL1_CH1" value="1" />
            <kctl name="ADDA_DL_CH2 DL1_CH2" value="1" />
        </path>
        <path name="PLAYBACK1_TO_ADDA_DL" value="turnoff">
            <kctl name="ADDA_DL_CH1 DL1_CH1" value="0" />
            <kctl name="ADDA_DL_CH2 DL1_CH2" value="0" />
        </path>
        <path name="PLAYBACK1_TO_I2S1" value="turnon">
            <kctl name="I2S1_CH1 DL1_CH1" value="1" />
            <kctl name="I2S1_CH2 DL1_CH2" value="1" />
        </path>
        <path name="PLAYBACK1_TO_I2S1" value="turnoff">
            <kctl name="I2S1_CH1 DL1_CH1" value="0" />
            <kctl name="I2S1_CH2 DL1_CH2" value="0" />
        </path>
        <path name="PLAYBACK1_TO_I2S3" value="turnon">
            <kctl name="I2S3_CH1 DL1_CH1" value="1" />
            <kctl name="I2S3_CH2 DL1_CH2" value="1" />
        </path>
        <path name="PLAYBACK1_TO_I2S3" value="turnoff">
            <kctl name="I2S3_CH1 DL1_CH1" value="0" />
            <kctl name="I2S3_CH2 DL1_CH2" value="0" />
        </path>
        <path name="PLAYBACK2_TO_ADDA_DL" value="turnon">
            <kctl name="ADDA_DL_CH1 DL2_CH1" value="1" />
            <kctl name="ADDA_DL_CH2 DL2_CH2" value="1" />
        </path>
        <path name="PLAYBACK2_TO_ADDA_DL" value="turnoff">
            <kctl name="ADDA_DL_CH1 DL2_CH1" value="0" />
            <kctl name="ADDA_DL_CH2 DL2_CH2" value="0" />
        </path>
        <path name="PLAYBACK2_TO_I2S1" value="turnon">
            <kctl name="I2S1_CH1 DL2_CH1" value="1" />
            <kctl name="I2S1_CH2 DL2_CH2" value="1" />
        </path>
        <path name="PLAYBACK2_TO_I2S1" value="turnoff">
            <kctl name="I2S1_CH1 DL2_CH1" value="0" />
            <kctl name="I2S1_CH2 DL2_CH2" value="0" />
        </path>
        <path name="PLAYBACK2_TO_I2S3" value="turnon">
            <kctl name="I2S3_CH1 DL2_CH1" value="1" />
            <kctl name="I2S3_CH2 DL2_CH2" value="1" />
        </path>
        <path name="PLAYBACK2_TO_I2S3" value="turnoff">
            <kctl name="I2S3_CH1 DL2_CH1" value="0" />
            <kctl name="I2S3_CH2 DL2_CH2" value="0" />
        </path>
        <path name="PLAYBACK12_TO_ADDA_DL" value="turnon">
            <kctl name="ADDA_DL_CH1 DL12_CH1" value="1" />
            <kctl name="ADDA_DL_CH2 DL12_CH2" value="1" />
        </path>
        <path name="PLAYBACK12_TO_ADDA_DL" value="turnoff">
            <kctl name="ADDA_DL_CH1 DL12_CH1" value="0" />
            <kctl name="ADDA_DL_CH2 DL12_CH2" value="0" />
        </path>
        <path name="PLAYBACK12_TO_I2S1" value="turnon">
            <kctl name="I2S1_CH1 DL12_CH1" value="1" />
            <kctl name="I2S1_CH2 DL12_CH2" value="1" />
        </path>
        <path name="PLAYBACK12_TO_I2S1" value="turnoff">
            <kctl name="I2S1_CH1 DL12_CH1" value="0" />
            <kctl name="I2S1_CH2 DL12_CH2" value="0" />
        </path>
        <path name="PLAYBACK12_TO_I2S3" value="turnon">
            <kctl name="I2S3_CH1 DL12_CH1" value="1" />
            <kctl name="I2S3_CH2 DL12_CH2" value="1" />
        </path>
        <path name="PLAYBACK12_TO_I2S3" value="turnoff">
            <kctl name="I2S3_CH1 DL12_CH1" value="0" />
            <kctl name="I2S3_CH2 DL12_CH2" value="0" />
        </path>
        <path name="PLAYBACK3_TO_ADDA_DL" value="turnon">
            <kctl name="ADDA_DL_CH1 DL2_CH1" value="1" />
            <kctl name="ADDA_DL_CH2 DL2_CH2" value="1" />
        </path>
        <path name="PLAYBACK3_TO_ADDA_DL" value="turnoff">
            <kctl name="ADDA_DL_CH1 DL2_CH1" value="0" />
            <kctl name="ADDA_DL_CH2 DL2_CH2" value="0" />
        </path>
        <path name="PLAYBACK3_TO_I2S1" value="turnon">
            <kctl name="I2S1_CH1 DL2_CH1" value="1" />
            <kctl name="I2S1_CH2 DL2_CH2" value="1" />
        </path>
        <path name="PLAYBACK3_TO_I2S1" value="turnoff">
            <kctl name="I2S1_CH1 DL2_CH1" value="0" />
            <kctl name="I2S1_CH2 DL2_CH2" value="0" />
        </path>
        <path name="PLAYBACK3_TO_I2S3" value="turnon">
            <kctl name="I2S3_CH1 DL2_CH1" value="1" />
            <kctl name="I2S3_CH2 DL2_CH2" value="1" />
        </path>
        <path name="PLAYBACK3_TO_I2S3" value="turnoff">
            <kctl name="I2S3_CH1 DL2_CH1" value="0" />
            <kctl name="I2S3_CH2 DL2_CH2" value="0" />
        </path>
        <path name="PLAYBACK5_TO_ADDA_DL" value="turnon">
            <kctl name="ADDA_DL_CH1 DL3_CH1" value="1" />
            <kctl name="ADDA_DL_CH2 DL3_CH2" value="1" />
        </path>
        <path name="PLAYBACK5_TO_ADDA_DL" value="turnoff">
            <kctl name="ADDA_DL_CH1 DL3_CH1" value="0" />
            <kctl name="ADDA_DL_CH2 DL3_CH2" value="0" />
        </path>
        <path name="PLAYBACK5_TO_I2S3" value="turnon">
            <kctl name="I2S3_CH1 DL3_CH1" value="1" />
            <kctl name="I2S3_CH2 DL3_CH2" value="1" />
        </path>
        <path name="PLAYBACK5_TO_I2S3" value="turnoff">
            <kctl name="I2S3_CH1 DL3_CH1" value="0" />
            <kctl name="I2S3_CH2 DL3_CH2" value="0" />
        </path>
        <path name="ADDA_TO_CAPTURE1" value="turnon">
            <kctl name="UL1_CH1 ADDA_UL_CH1" value="1" />
            <kctl name="UL1_CH2 ADDA_UL_CH2" value="1" />
        </path>
        <path name="ADDA_TO_CAPTURE1" value="turnoff">
            <kctl name="UL1_CH1 ADDA_UL_CH1" value="0" />
            <kctl name="UL1_CH2 ADDA_UL_CH2" value="0" />
        </path>
        <path name="ADDA_TO_CAPTURE7" value="turnon">
            <kctl name="UL7_CH1 ADDA_UL_CH1" value="1" />
            <kctl name="UL7_CH2 ADDA_UL_CH2" value="1" />
        </path>
        <path name="ADDA_TO_CAPTURE7" value="turnoff">
            <kctl name="UL7_CH1 ADDA_UL_CH1" value="0" />
            <kctl name="UL7_CH2 ADDA_UL_CH2" value="0" />
        </path>
        <path name="CONNSYS_TO_CAPTURE3" value="turnon">
            <kctl name="UL3_CH1 CONNSYS_I2S_CH1" value="1" />
            <kctl name="UL3_CH2 CONNSYS_I2S_CH2" value="1" />
        </path>
        <path name="CONNSYS_TO_CAPTURE3" value="turnoff">
            <kctl name="UL3_CH1 CONNSYS_I2S_CH1" value="0" />
            <kctl name="UL3_CH2 CONNSYS_I2S_CH2" value="0" />
        </path>
        <path name="DL_MEMIF_TO_CAPTURE2" value="turnon">
            <kctl name="UL2_CH1 DL1_CH1" value="1" />
            <kctl name="UL2_CH2 DL1_CH2" value="1" />
            <kctl name="UL2_CH1 DL2_CH1" value="1" />
            <kctl name="UL2_CH2 DL2_CH2" value="1" />
            <kctl name="UL2_CH1 DL3_CH1" value="1" />
            <kctl name="UL2_CH2 DL3_CH2" value="1" />
            <kctl name="UL2_CH1 DL12_CH1" value="1" />
            <kctl name="UL2_CH2 DL12_CH2" value="1" />
        </path>
        <path name="DL_MEMIF_TO_CAPTURE2" value="turnoff">
            <kctl name="UL2_CH1 DL1_CH1" value="0" />
            <kctl name="UL2_CH2 DL1_CH2" value="0" />
            <kctl name="UL2_CH1 DL2_CH1" value="0" />
            <kctl name="UL2_CH2 DL2_CH2" value="0" />
            <kctl name="UL2_CH1 DL3_CH1" value="0" />
            <kctl name="UL2_CH2 DL3_CH2" value="0" />
            <kctl name="UL2_CH1 DL12_CH1" value="0" />
            <kctl name="UL2_CH2 DL12_CH2" value="0" />
        </path>
        <path name="DL_MEMIF_TO_CAPTURE4" value="turnon">
            <kctl name="UL4_CH1 DL1_CH1" value="1" />
            <kctl name="UL4_CH2 DL1_CH2" value="1" />
            <kctl name="UL4_CH1 DL2_CH1" value="1" />
            <kctl name="UL4_CH2 DL2_CH2" value="1" />
            <kctl name="UL4_CH1 DL3_CH1" value="1" />
            <kctl name="UL4_CH2 DL3_CH2" value="1" />
        </path>
        <path name="DL_MEMIF_TO_CAPTURE4" value="turnoff">
            <kctl name="UL4_CH1 DL1_CH1" value="0" />
            <kctl name="UL4_CH2 DL1_CH2" value="0" />
            <kctl name="UL4_CH1 DL2_CH1" value="0" />
            <kctl name="UL4_CH2 DL2_CH2" value="0" />
            <kctl name="UL4_CH1 DL3_CH1" value="0" />
            <kctl name="UL4_CH2 DL3_CH2" value="0" />
        </path>
        <path name="DL_MEMIF_TO_CAPTURE2_SPEAKER_HIFI3" value="turnon">
            <kctl name="UL2_CH1 DL3_CH1" value="1" />
            <kctl name="UL2_CH2 DL3_CH2" value="1" />
            <kctl name="UL2_CH1 DL4_CH1" value="1" />
            <kctl name="UL2_CH2 DL4_CH2" value="1" />
        </path>
        <path name="DL_MEMIF_TO_CAPTURE2_SPEAKER_HIFI3" value="turnoff">
            <kctl name="UL2_CH1 DL3_CH1" value="0" />
            <kctl name="UL2_CH2 DL3_CH2" value="0" />
            <kctl name="UL2_CH1 DL4_CH1" value="0" />
            <kctl name="UL2_CH2 DL4_CH2" value="0" />
        </path>
        <path name="DL_MEMIF_TO_CAPTURE2_NON_SPEAKER_HIFI3" value="turnon">
            <kctl name="UL2_CH1 DL2_CH1" value="1" />
            <kctl name="UL2_CH2 DL2_CH2" value="1" />
            <kctl name="UL2_CH1 DL3_CH1" value="1" />
            <kctl name="UL2_CH2 DL3_CH2" value="1" />
            <kctl name="UL2_CH1 DL4_CH1" value="1" />
            <kctl name="UL2_CH2 DL4_CH2" value="1" />
        </path>
        <path name="DL_MEMIF_TO_CAPTURE2_NON_SPEAKER_HIFI3" value="turnoff">
            <kctl name="UL2_CH1 DL2_CH1" value="0" />
            <kctl name="UL2_CH2 DL2_CH2" value="0" />
            <kctl name="UL2_CH1 DL3_CH1" value="0" />
            <kctl name="UL2_CH2 DL3_CH2" value="0" />
            <kctl name="UL2_CH1 DL4_CH1" value="0" />
            <kctl name="UL2_CH2 DL4_CH2" value="0" />
        </path>
        <path name="DL_MEMIF_TO_CAPTURE4_SPEAKER_HIFI3" value="turnon">
            <kctl name="UL4_CH1 DL3_CH1" value="1" />
            <kctl name="UL4_CH2 DL3_CH2" value="1" />
            <kctl name="UL4_CH1 DL4_CH1" value="1" />
            <kctl name="UL4_CH2 DL4_CH2" value="1" />
        </path>
        <path name="DL_MEMIF_TO_CAPTURE4_SPEAKER_HIFI3" value="turnoff">
            <kctl name="UL4_CH1 DL3_CH1" value="0" />
            <kctl name="UL4_CH2 DL3_CH2" value="0" />
            <kctl name="UL4_CH1 DL4_CH1" value="0" />
            <kctl name="UL4_CH2 DL4_CH2" value="0" />
        </path>
        <path name="DL_MEMIF_TO_CAPTURE4_NON_SPEAKER_HIFI3" value="turnon">
            <kctl name="UL4_CH1 DL2_CH1" value="1" />
            <kctl name="UL4_CH2 DL2_CH2" value="1" />
            <kctl name="UL4_CH1 DL3_CH1" value="1" />
            <kctl name="UL4_CH2 DL3_CH2" value="1" />
            <kctl name="UL4_CH1 DL4_CH1" value="1" />
            <kctl name="UL4_CH2 DL4_CH2" value="1" />
        </path>
        <path name="DL_MEMIF_TO_CAPTURE4_NON_SPEAKER_HIFI3" value="turnoff">
            <kctl name="UL4_CH1 DL2_CH1" value="0" />
            <kctl name="UL4_CH2 DL2_CH2" value="0" />
            <kctl name="UL4_CH1 DL3_CH1" value="0" />
            <kctl name="UL4_CH2 DL3_CH2" value="0" />
            <kctl name="UL4_CH1 DL4_CH1" value="0" />
            <kctl name="UL4_CH2 DL4_CH2" value="0" />
        </path>
        <path name="I2S0_TO_CAPTURE2" value="turnon">
            <kctl name="UL2_CH1 I2S0_CH1" value="1" />
            <kctl name="UL2_CH2 I2S0_CH2" value="1" />
        </path>
        <path name="I2S0_TO_CAPTURE2" value="turnoff">
            <kctl name="UL2_CH1 I2S0_CH1" value="0" />
            <kctl name="UL2_CH2 I2S0_CH2" value="0" />
        </path>
        <path name="I2S0_TO_CAPTURE4" value="turnon">
            <kctl name="UL4_CH1 I2S0_CH1" value="1" />
            <kctl name="UL4_CH2 I2S0_CH2" value="1" />
        </path>
        <path name="I2S0_TO_CAPTURE4" value="turnoff">
            <kctl name="UL4_CH1 I2S0_CH1" value="0" />
            <kctl name="UL4_CH2 I2S0_CH2" value="0" />
        </path>
        <path name="I2S2_TO_CAPTURE2" value="turnon">
            <kctl name="UL2_CH1 I2S2_CH1" value="1" />
            <kctl name="UL2_CH2 I2S2_CH2" value="1" />
        </path>
        <path name="I2S2_TO_CAPTURE2" value="turnoff">
            <kctl name="UL2_CH1 I2S2_CH1" value="0" />
            <kctl name="UL2_CH2 I2S2_CH2" value="0" />
        </path>
        <path name="CONNSYS_TO_ADDA_DL" value="turnon">
            <kctl name="HW_GAIN1_IN_CH1 CONNSYS_I2S_CH1" value="1" />
            <kctl name="HW_GAIN1_IN_CH2 CONNSYS_I2S_CH2" value="1" />
            <kctl name="ADDA_DL_CH1 GAIN1_OUT_CH1" value="1" />
            <kctl name="ADDA_DL_CH2 GAIN1_OUT_CH2" value="1" />
        </path>
        <path name="CONNSYS_TO_ADDA_DL" value="turnoff">
            <kctl name="HW_GAIN1_IN_CH1 CONNSYS_I2S_CH1" value="0" />
            <kctl name="HW_GAIN1_IN_CH2 CONNSYS_I2S_CH2" value="0" />
            <kctl name="ADDA_DL_CH1 GAIN1_OUT_CH1" value="0" />
            <kctl name="ADDA_DL_CH2 GAIN1_OUT_CH2" value="0" />
        </path>
        <path name="CONNSYS_TO_I2S1" value="turnon">
            <kctl name="HW_GAIN1_IN_CH1 CONNSYS_I2S_CH1" value="1" />
            <kctl name="HW_GAIN1_IN_CH2 CONNSYS_I2S_CH2" value="1" />
            <kctl name="I2S1_CH1 GAIN1_OUT_CH1" value="1" />
            <kctl name="I2S1_CH2 GAIN1_OUT_CH2" value="1" />
        </path>
        <path name="CONNSYS_TO_I2S1" value="turnoff">
            <kctl name="HW_GAIN1_IN_CH1 CONNSYS_I2S_CH1" value="0" />
            <kctl name="HW_GAIN1_IN_CH2 CONNSYS_I2S_CH2" value="0" />
            <kctl name="I2S1_CH1 GAIN1_OUT_CH1" value="0" />
            <kctl name="I2S1_CH2 GAIN1_OUT_CH2" value="0" />
        </path>
        <path name="CONNSYS_TO_I2S3" value="turnon">
            <kctl name="HW_GAIN1_IN_CH1 CONNSYS_I2S_CH1" value="1" />
            <kctl name="HW_GAIN1_IN_CH2 CONNSYS_I2S_CH2" value="1" />
            <kctl name="I2S3_CH1 GAIN1_OUT_CH1" value="1" />
            <kctl name="I2S3_CH2 GAIN1_OUT_CH2" value="1" />
        </path>
        <path name="CONNSYS_TO_I2S3" value="turnoff">
            <kctl name="HW_GAIN1_IN_CH1 CONNSYS_I2S_CH1" value="0" />
            <kctl name="HW_GAIN1_IN_CH2 CONNSYS_I2S_CH2" value="0" />
            <kctl name="I2S3_CH1 GAIN1_OUT_CH1" value="0" />
            <kctl name="I2S3_CH2 GAIN1_OUT_CH2" value="0" />
        </path>
        <path name="MRG_TO_ADDA_I2S" value="turnon">
        </path>
        <path name="MRG_TO_ADDA_I2S" value="turnoff">
        </path>
        <path name="MD1_TO_ADDA_DL" value="turnon">
            <kctl name="ADDA_DL_CH1 PCM_2_CAP_CH1" value="1" />
            <kctl name="ADDA_DL_CH2 PCM_2_CAP_CH1" value="1" />
        </path>
        <path name="MD1_TO_ADDA_DL" value="turnoff">
            <kctl name="ADDA_DL_CH1 PCM_2_CAP_CH1" value="0" />
            <kctl name="ADDA_DL_CH2 PCM_2_CAP_CH1" value="0" />
        </path>
        <path name="MD1_TO_I2S1" value="turnon">
            <kctl name="I2S1_CH1 PCM_2_CAP_CH1" value="1" />
            <kctl name="I2S1_CH2 PCM_2_CAP_CH1" value="1" />
        </path>
        <path name="MD1_TO_I2S1" value="turnoff">
            <kctl name="I2S1_CH1 PCM_2_CAP_CH1" value="0" />
            <kctl name="I2S1_CH2 PCM_2_CAP_CH1" value="0" />
        </path>
        <path name="MD1_TO_I2S3" value="turnon">
            <kctl name="I2S3_CH1 PCM_2_CAP_CH1" value="1" />
            <kctl name="I2S3_CH2 PCM_2_CAP_CH1" value="1" />
        </path>
        <path name="MD1_TO_I2S3" value="turnoff">
            <kctl name="I2S3_CH1 PCM_2_CAP_CH1" value="0" />
            <kctl name="I2S3_CH2 PCM_2_CAP_CH1" value="0" />
        </path>
        <path name="ADDA_UL_TO_ADDA_DL" value="turnon">
            <kctl name="ADDA_DL_CH1 ADDA_UL_CH1" value="1" />
            <kctl name="ADDA_DL_CH2 ADDA_UL_CH2" value="1" />
        </path>
        <path name="ADDA_UL_TO_ADDA_DL" value="turnoff">
            <kctl name="ADDA_DL_CH1 ADDA_UL_CH1" value="0" />
            <kctl name="ADDA_DL_CH2 ADDA_UL_CH2" value="0" />
        </path>
        <path name="ADDA_UL_TO_I2S1" value="turnon">
            <kctl name="I2S1_CH1 ADDA_UL_CH1" value="1" />
            <kctl name="I2S1_CH2 ADDA_UL_CH2" value="1" />
        </path>
        <path name="ADDA_UL_TO_I2S1" value="turnoff">
            <kctl name="I2S1_CH1 ADDA_UL_CH1" value="0" />
            <kctl name="I2S1_CH2 ADDA_UL_CH2" value="0" />
        </path>
        <path name="ADDA_UL_TO_I2S3" value="turnon">
            <kctl name="I2S3_CH1 ADDA_UL_CH1" value="1" />
            <kctl name="I2S3_CH2 ADDA_UL_CH2" value="1" />
        </path>
        <path name="ADDA_UL_TO_I2S3" value="turnoff">
            <kctl name="I2S3_CH1 ADDA_UL_CH1" value="0" />
            <kctl name="I2S3_CH2 ADDA_UL_CH2" value="0" />
        </path>
        <path name="SPK_INIT" value="turnon">
            <kctl name="I2S1_HD_Mux" value="Low_Jitter" />
            <kctl name="I2S1_Out_Mux" value="Output_Widget" />
            <kctl name="I2S3_HD_Mux" value="Low_Jitter" />
            <kctl name="I2S3_Out_Mux" value="Output_Widget" />
        </path>
        <path name="SPK_INIT" value="turnoff">
            <kctl name="I2S1_Out_Mux" value="Normal" />
            <kctl name="I2S1_HD_Mux" value="Normal" />
            <kctl name="I2S3_Out_Mux" value="Normal" />
            <kctl name="I2S3_HD_Mux" value="Normal" />
        </path>
        <path name="MD1_ECHO_REF_I2S0_ON" value="setting">
            <kctl name="PCM_2_PB_CH4 I2S0_CH2" value="1" />
        </path>
        <path name="MD1_ECHO_REF_I2S0_OFF" value="setting">
            <kctl name="PCM_2_PB_CH4 I2S0_CH2" value="0" />
        </path>
        <path name="MD1_ECHO_REF_I2S2_ON" value="setting">
            <kctl name="PCM_2_PB_CH4 I2S2_CH2" value="1" />
        </path>
        <path name="MD1_ECHO_REF_I2S2_OFF" value="setting">
            <kctl name="PCM_2_PB_CH4 I2S2_CH2" value="0" />
        </path>
        <path name="VOW_BARGE_IN_ECHO" value="turnon">
            <kctl name="UL2_CH1 DL1_CH1" value="1" />
            <kctl name="UL2_CH2 DL1_CH2" value="1" />
            <kctl name="UL2_CH1 DL2_CH1" value="1" />
            <kctl name="UL2_CH2 DL2_CH2" value="1" />
            <kctl name="UL2_CH1 DL3_CH1" value="1" />
            <kctl name="UL2_CH2 DL3_CH2" value="1" />
        </path>
        <path name="VOW_BARGE_IN_ECHO" value="turnoff">
            <kctl name="UL2_CH1 DL1_CH1" value="0" />
            <kctl name="UL2_CH2 DL1_CH2" value="0" />
            <kctl name="UL2_CH1 DL2_CH1" value="0" />
            <kctl name="UL2_CH2 DL2_CH2" value="0" />
            <kctl name="UL2_CH1 DL3_CH1" value="0" />
            <kctl name="UL2_CH2 DL3_CH2" value="0" />
        </path>
        <path name="VOW_BARGE_IN_ECHO_SPEAKER_HIFI3" value="turnon">
            <kctl name="UL2_CH1 DL1_CH1" value="1" />
            <kctl name="UL2_CH2 DL1_CH2" value="1" />
            <kctl name="UL2_CH1 DL2_CH1" value="1" />
            <kctl name="UL2_CH2 DL2_CH2" value="1" />
            <kctl name="UL2_CH1 DL3_CH1" value="1" />
            <kctl name="UL2_CH2 DL3_CH2" value="1" />
        </path>
        <path name="VOW_BARGE_IN_ECHO_SPEAKER_HIFI3" value="turnoff">
            <kctl name="UL2_CH1 DL1_CH1" value="0" />
            <kctl name="UL2_CH2 DL1_CH2" value="0" />
            <kctl name="UL2_CH1 DL2_CH1" value="0" />
            <kctl name="UL2_CH2 DL2_CH2" value="0" />
            <kctl name="UL2_CH1 DL3_CH1" value="0" />
            <kctl name="UL2_CH2 DL3_CH2" value="0" />
        </path>
        <path name="reset_device_setting" value="setting">
            <kctl name="deep_buffer_scenario" value="0" />
            <kctl name="record_xrun_assert" value="0" />
            <kctl name="fast_play_scenario" value="0" />
            <kctl name="primary_play_scenario" value="0" />
            <kctl name="voip_rx_scenario" value="0" />
            <kctl name="LOL Mux" value="Open" />
            <kctl name="HPL Mux" value="Open" />
            <kctl name="HPR Mux" value="Open" />
            <kctl name="RCV Mux" value="Open" />
            <kctl name="ADC L Mux" value="Idle" />
            <kctl name="ADC R Mux" value="Idle" />
            <kctl name="PGA L Mux" value="None" />
            <kctl name="PGA R Mux" value="None" />
        </path>
        <path name="MD1_TO_CAPTURE2" value="turnon">
            <kctl name="UL2_CH1 PCM_2_CAP_CH1" value="1" />
            <kctl name="UL2_CH2 PCM_2_CAP_CH1" value="1" />
        </path>
        <path name="MD1_TO_CAPTURE2" value="turnoff">
            <kctl name="UL2_CH1 PCM_2_CAP_CH1" value="0" />
            <kctl name="UL2_CH2 PCM_2_CAP_CH1" value="0" />
        </path>
        <path name="PLAYBACK2_TO_MD1" value="turnon">
            <kctl name="PCM_2_PB_CH1 DL2_CH1" value="1" />
            <kctl name="PCM_2_PB_CH2 DL2_CH2" value="1" />
        </path>
        <path name="PLAYBACK2_TO_MD1" value="turnoff">
            <kctl name="PCM_2_PB_CH1 DL2_CH1" value="0" />
            <kctl name="PCM_2_PB_CH2 DL2_CH2" value="0" />
        </path>
        <path name="ADDA_UL_TO_MD1" value="turnon">
            <kctl name="PCM_2_PB_CH1 ADDA_UL_CH1" value="1" />
            <kctl name="PCM_2_PB_CH2 ADDA_UL_CH2" value="1" />
        </path>
        <path name="ADDA_UL_TO_MD1" value="turnoff">
            <kctl name="PCM_2_PB_CH1 ADDA_UL_CH1" value="0" />
            <kctl name="PCM_2_PB_CH2 ADDA_UL_CH2" value="0" />
        </path>
        <path name="PLAYBACK1_TO_MD1_CH4" value="turnon">
            <kctl name="PCM_2_PB_CH4 DL1_CH1" value="1" />
        </path>
        <path name="PLAYBACK1_TO_MD1_CH4" value="turnoff">
            <kctl name="PCM_2_PB_CH4 DL1_CH1" value="0" />
        </path>
        <path name="MD1_TO_CAPTURE_MONO_1" value="turnon">
            <kctl name="UL_MONO_1_CH1 PCM_2_CAP_CH1" value="1" />
        </path>
        <path name="MD1_TO_CAPTURE_MONO_1" value="turnoff">
            <kctl name="UL_MONO_1_CH1 PCM_2_CAP_CH1" value="0" />
        </path>
        <path name="USB_ECHO_REF_DEBUG" value="turnon">
            <kctl name="ADDA_DL_CH1 DL2_CH1" value="1" />
            <kctl name="ADDA_DL_CH1 ADDA_UL_CH1" value="1" />
            <kctl name="ADDA_DL_CH2 DL1_CH1" value="1" />
        </path>
        <path name="USB_ECHO_REF_DEBUG" value="turnoff">
            <kctl name="ADDA_DL_CH1 DL2_CH1" value="0" />
            <kctl name="ADDA_DL_CH1 ADDA_UL_CH1" value="0" />
            <kctl name="ADDA_DL_CH2 DL1_CH1" value="0" />
        </path>
        <path name="USB_CALL_DEBUG_LOOPBACK" value="turnon">
            <kctl name="UL2_CH1 DL2_CH1" value="1" />
            <kctl name="UL2_CH2 DL2_CH2" value="1" />
        </path>
        <path name="USB_CALL_DEBUG_LOOPBACK" value="turnoff">
            <kctl name="UL2_CH1 DL2_CH1" value="0" />
            <kctl name="UL2_CH2 DL2_CH2" value="0" />
        </path>
        <path name="PLAYBACK1_TO_DSPDL" value="turnon">
            <kctl name="DSP_DL DSP_DL1" value="1" />
        </path>
        <path name="PLAYBACK1_TO_DSPDL" value="turnoff">
            <kctl name="DSP_DL DSP_DL1" value="0" />
        </path>
        <path name="PLAYBACK2_TO_DSPDL" value="turnon">
            <kctl name="DSP_DL DSP_DL2" value="1" />
        </path>
        <path name="PLAYBACK2_TO_DSPDL" value="turnoff">
            <kctl name="DSP_DL DSP_DL2" value="0" />
        </path>
        <path name="PLAYBACK3_TO_DSPDL" value="turnon">
            <kctl name="DSP_DL DSP_DL3" value="1" />
        </path>
        <path name="PLAYBACK3_TO_DSPDL" value="turnoff">
            <kctl name="DSP_DL DSP_DL3" value="0" />
        </path>
        <path name="PLAYBACK12_TO_DSPDL" value="turnon">
            <kctl name="DSP_DL DSP_DL12" value="1" />
        </path>
        <path name="PLAYBACK12_TO_DSPDL" value="turnoff">
            <kctl name="DSP_DL DSP_DL12" value="0" />
        </path>
        <!--mmi test kctl setting-->
        <path name="mmitest_receiver" value="turnon">
            <kctl name="DAC In Mux" value="Normal Path" />
            <kctl name="RCV Mux" value="Voice Playback" />
        </path>
        <path name="mmitest_receiver" value="turnoff">
            <kctl name="RCV Mux" value="Open" />
        </path>
        <path name="mmitest_speaker" value="turnon">
            <kctl name="DAC In Mux" value="Normal Path" />
            <kctl name="LOL Mux" value="Playback" />
            <kctl name="Ext_Speaker_Amp Switch" value="1" />
            <kctl name="Ext_Speaker_PaMode" value="1" />
        </path>
        <path name="mmitest_speaker" value="turnoff">
            <kctl name="Ext_Speaker_PaMode" value="0" />
            <kctl name="Ext_Speaker_Amp Switch" value="0" />
            <kctl name="LOL Mux" value="Open" />
        </path>
        <path name="mmitest_speaker_no_algorithm" value="turnon">
            <kctl name="DAC In Mux" value="Normal Path" />
            <kctl name="LOL Mux" value="Playback" />
            <kctl name="Ext_Speaker_Amp Switch" value="1" />
            <kctl name="Ext_Speaker_PaMode" value="1" />
        </path>
        <path name="mmitest_speaker_no_algorithm" value="turnoff">
            <kctl name="Ext_Speaker_PaMode" value="0" />
            <kctl name="Ext_Speaker_Amp Switch" value="0" />
            <kctl name="LOL Mux" value="Open" />
        </path>
        <path name="mmitest_headphone" value="turnon">
            <kctl name="DAC In Mux" value="Normal Path" />
            <kctl name="HPL Mux" value="Audio Playback" />
            <kctl name="HPR Mux" value="Audio Playback" />
        </path>
        <path name="mmitest_headphone" value="turnoff">
            <kctl name="HPL Mux" value="Open" />
            <kctl name="HPR Mux" value="Open" />
        </path>
        <path name="mmitest_submic" value="turnon">
            <kctl name="ADC L Mux" value="Left Preamplifier" />
            <kctl name="ADC R Mux" value="Right Preamplifier" />
            <kctl name="PGA L Mux" value="AIN2" />
            <kctl name="PGA R Mux" value="AIN2" />
        </path>
        <path name="mmitest_submic" value="turnoff">
            <kctl name="ADC L Mux" value="Idle" />
            <kctl name="ADC R Mux" value="Idle" />
            <kctl name="PGA L Mux" value="None" />
            <kctl name="PGA R Mux" value="None" />
        </path>
        <path name="mmitest_mainmic" value="turnon">
            <kctl name="ADC L Mux" value="Left Preamplifier" />
            <kctl name="ADC R Mux" value="Right Preamplifier" />
            <kctl name="PGA L Mux" value="AIN0" />
            <kctl name="PGA R Mux" value="AIN0" />
        </path>
        <path name="mmitest_mainmic" value="turnoff">
            <kctl name="ADC L Mux" value="Idle" />
            <kctl name="ADC R Mux" value="Idle" />
            <kctl name="PGA L Mux" value="None" />
            <kctl name="PGA R Mux" value="None" />
        </path>
        <path name="mmitest_hsmic" value="turnon">
            <kctl name="ADC L Mux" value="Left Preamplifier" />
            <kctl name="ADC R Mux" value="Right Preamplifier" />
            <kctl name="PGA L Mux" value="AIN1" />
            <kctl name="PGA R Mux" value="AIN1" />
        </path>
        <path name="mmitest_hsmic" value="turnoff">
            <kctl name="ADC L Mux" value="Idle" />
            <kctl name="ADC R Mux" value="Idle" />
            <kctl name="PGA L Mux" value="None" />
            <kctl name="PGA R Mux" value="None" />
        </path>
        <path name="mmitest_allmic" value="turnon">
            <kctl name="ADC L Mux" value="Left Preamplifier" />
            <kctl name="ADC R Mux" value="Right Preamplifier" />
            <kctl name="PGA L Mux" value="AIN0" />
            <kctl name="PGA R Mux" value="AIN2" />
        </path>
        <path name="mmitest_allmic" value="turnoff">
            <kctl name="ADC L Mux" value="Idle" />
            <kctl name="ADC R Mux" value="Idle" />
            <kctl name="PGA L Mux" value="None" />
            <kctl name="PGA R Mux" value="None" />
        </path>
    </mixercontrol>
</root>
